> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get General Settings

> Retrieves list of general settings for the site, which includes settings like theme, email, address validation etc.



## OpenAPI

````yaml /openapi/openapi_settings.json get /commerce/settings/general
openapi: 3.0.1
info:
  description: |-
    <div id="overview_SETTINGS">
                <h2>SITE SETTINGS</h2>
                <p>The Site Settings APIs are a collection of resources used to manage settings for sites, checkout, installed applications, locations,
                    shipping, and general settings for a site. For more information about site settings and the associated configurations in the Unified Commerce Admin
                    interface, see the <a href="/pages/system">Settings user guides</a>.</p>
                <p>Use the <strong>Cart</strong> resource to manage settings for the cart, such as whether to include handling fees in the
                    cost calculations.</p>
                <p>Use the <strong>Checkout Settings</strong> resource to specify the site-wide settings that define checkout and order
                    processing behavior. This resource includes subresources for payment settings, customer checkout
                    settings, and order processing settings.</p>
                <p>Use the <strong>Fulfillment Settings</strong> resource to define site-wide fulfillment options such as the default
                    backorder duration, rejection actions, and BPM configurations.</p>
                <p>Use the <strong>General Settings</strong> resource to define global site settings such as the site name, shipping and
                    email addresses, and logo images. You can block undesirable IP addresses using this resource as well as
                    configure <a href="/pages/custom-route-settings">custom
                        routes</a>.</p>
                <p>Use the <strong>Inventory Settings</strong> resource to enable or disable inventory jobs and set a preferred time of day
                    for the jobs to run at.</p>
                <p>Use the <strong>Return Settings</strong> resource to specify the default return options for processing fees, shipping
                    locations, and label generation.</p>
                <p>Use the <strong>Shipping</strong> resource to manage settings for the site shipping information, such as origin address
                    information, carrier shipping methods, shipping rate providers, and regions available for shipping.</p>
            </div>
  title: Site Settings
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/settings/general:
    get:
      tags:
        - GeneralSettings
      summary: Get General Settings
      description: >-
        Retrieves list of general settings for the site, which includes settings
        like theme, email, address validation etc.
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeneralSettings'
            text/json:
              schema:
                $ref: '#/components/schemas/GeneralSettings'
            text/plain:
              schema:
                $ref: '#/components/schemas/GeneralSettings'
          description: OK
components:
  schemas:
    GeneralSettings:
      properties:
        allowInvalidAddresses:
          nullable: true
          type: boolean
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        bccEmailAddress:
          nullable: true
          type: string
        cacheSettings:
          $ref: '#/components/schemas/CacheSettings'
        customCdnHostName:
          nullable: true
          type: string
        customRoutes:
          $ref: '#/components/schemas/CustomRouteSettings'
        emailTransactionsOnlyOnRequest:
          $ref: '#/components/schemas/EmailTransactionSettings'
        emailTypes:
          items:
            $ref: '#/components/schemas/EmailTypeSetting'
          nullable: true
          type: array
        favIconMobilePath:
          nullable: true
          type: string
        favIconPath:
          nullable: true
          type: string
        googleAnalyticsCode:
          nullable: true
          type: string
        is2FAAlwaysRequired:
          nullable: true
          type: boolean
        is2FARequiredOnFingerprintChange:
          nullable: true
          type: boolean
        is2FARequiredOnRegionChange:
          nullable: true
          type: boolean
        isAddressValidationEnabled:
          nullable: true
          type: boolean
        isEmailOtpLoginAllowed:
          nullable: true
          type: boolean
        isGoogleAnalyticsEcommerceEnabled:
          nullable: true
          type: boolean
        isGoogleAnalyticsEnabled:
          nullable: true
          type: boolean
        isMozuWebSite:
          type: boolean
        isMultishipEnabled:
          nullable: true
          type: boolean
        isWishlistCreationEnabled:
          nullable: true
          type: boolean
        logoPath:
          nullable: true
          type: string
        logoText:
          nullable: true
          type: string
        missingImageSubstitute:
          nullable: true
          type: string
        mobileTheme:
          nullable: true
          type: string
        reCaptchaSettings:
          $ref: '#/components/schemas/ReCaptchaSettings'
        replyToEmailAddress:
          nullable: true
          type: string
        senderEmailAddress:
          nullable: true
          type: string
        senderEmailAlias:
          nullable: true
          type: string
        siteTimeFormat:
          nullable: true
          type: string
        siteTimeZone:
          nullable: true
          type: string
        smsTypes:
          items:
            $ref: '#/components/schemas/SMSTypeSetting'
          nullable: true
          type: array
        supressedEmailTransactions:
          $ref: '#/components/schemas/EmailTransactionSettings'
        supressedSmsTransactions:
          $ref: '#/components/schemas/SMSTransactionSettings'
        tabletTheme:
          nullable: true
          type: string
        taxableTerritories:
          items:
            $ref: '#/components/schemas/TaxableTerritory'
          nullable: true
          type: array
        templateSiteId:
          format: int32
          nullable: true
          type: integer
        theme:
          nullable: true
          type: string
        viewAuthorizations:
          $ref: '#/components/schemas/ViewAuthorizations'
        websiteName:
          nullable: true
          type: string
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    CacheSettings:
      properties:
        cdnCacheBustKey:
          nullable: true
          type: string
      type: object
    CustomRouteSettings:
      properties:
        mappings:
          additionalProperties:
            $ref: '#/components/schemas/Mapping'
          nullable: true
          type: object
        routes:
          items:
            $ref: '#/components/schemas/Route'
          nullable: true
          type: array
        validators:
          additionalProperties:
            $ref: '#/components/schemas/Validator'
          nullable: true
          type: object
      type: object
    EmailTransactionSettings:
      properties:
        accountCreated:
          nullable: true
          type: boolean
        accountDenied:
          nullable: true
          type: boolean
        accountInactive:
          nullable: true
          type: boolean
        backInStock:
          nullable: true
          type: boolean
        backorder:
          nullable: true
          type: boolean
        curbsideReady:
          nullable: true
          type: boolean
        customerAtCurbside:
          nullable: true
          type: boolean
        customerIntransit:
          nullable: true
          type: boolean
        deliveryDateUpdated:
          nullable: true
          type: boolean
        digitalItemFulfilled:
          nullable: true
          type: boolean
        gatewayGiftCardCreated:
          nullable: true
          type: boolean
        giftCardCreated:
          nullable: true
          type: boolean
        intransitConfirmation:
          nullable: true
          type: boolean
        itemSubstituted:
          nullable: true
          type: boolean
        orderCancellation:
          nullable: true
          type: boolean
        orderCancellationFailed:
          nullable: true
          type: boolean
        orderChanged:
          nullable: true
          type: boolean
        orderFulfillmentDetailsChanged:
          nullable: true
          type: boolean
        orderItemsCanceled:
          nullable: true
          type: boolean
        orderPickupReady:
          nullable: true
          type: boolean
        orderPickupReminder:
          nullable: true
          type: boolean
        orderShipped:
          nullable: true
          type: boolean
        otpForLogin:
          nullable: true
          type: boolean
        partialCurbsideReady:
          nullable: true
          type: boolean
        partialPickupReady:
          nullable: true
          type: boolean
        quoteExpired:
          nullable: true
          type: boolean
        quoteInReview:
          nullable: true
          type: boolean
        quoteReadyForCheckout:
          nullable: true
          type: boolean
        readyForDelivery:
          nullable: true
          type: boolean
        refundCreated:
          nullable: true
          type: boolean
        returnAuthorized:
          nullable: true
          type: boolean
        returnCancelled:
          nullable: true
          type: boolean
        returnClosed:
          nullable: true
          type: boolean
        returnCreated:
          nullable: true
          type: boolean
        returnLabelAdded:
          nullable: true
          type: boolean
        returnRejected:
          nullable: true
          type: boolean
        returnUpdated:
          nullable: true
          type: boolean
        shipmentAssigned:
          nullable: true
          type: boolean
        shipmentBackorderDateChanged:
          nullable: true
          type: boolean
        shipmentConfirmation:
          nullable: true
          type: boolean
        shipmentItemCanceled:
          nullable: true
          type: boolean
        shopperEmailUpdated:
          nullable: true
          type: boolean
        shopperLoginCreated:
          nullable: true
          type: boolean
        shopperPasswordReset:
          nullable: true
          type: boolean
        shopperPasswordUpdated:
          nullable: true
          type: boolean
        storeCreditCreated:
          nullable: true
          type: boolean
        storeCreditUpdated:
          nullable: true
          type: boolean
        subscriptionActivated:
          nullable: true
          type: boolean
        subscriptionCancelled:
          nullable: true
          type: boolean
        subscriptionErrored:
          nullable: true
          type: boolean
        subscriptionFrequencyUpdated:
          nullable: true
          type: boolean
        subscriptionItemAdded:
          nullable: true
          type: boolean
        subscriptionItemQuantityUpdated:
          nullable: true
          type: boolean
        subscriptionItemsCancelled:
          nullable: true
          type: boolean
        subscriptionNextOrderDateUpdated:
          nullable: true
          type: boolean
        subscriptionOrderReminder:
          nullable: true
          type: boolean
        subscriptionOrderedNow:
          nullable: true
          type: boolean
        subscriptionPauseLimitReminder:
          nullable: true
          type: boolean
        subscriptionPaused:
          nullable: true
          type: boolean
        subscriptionPausedReminder:
          nullable: true
          type: boolean
        subscriptionPaymentUpdated:
          nullable: true
          type: boolean
        subscriptionShippingInfoUpdated:
          nullable: true
          type: boolean
        subscriptionSkipped:
          nullable: true
          type: boolean
        substitutionPaymentRequired:
          nullable: true
          type: boolean
        transferShipmentCreated:
          nullable: true
          type: boolean
        transferShipmentCreatedByFulfiller:
          nullable: true
          type: boolean
        transferShipmentShipped:
          nullable: true
          type: boolean
      type: object
    EmailTypeSetting:
      properties:
        bccEmailAddressOverride:
          nullable: true
          type: string
        id:
          nullable: true
          type: string
        replyToEmailAddressOverride:
          nullable: true
          type: string
        senderEmailAddressOverride:
          nullable: true
          type: string
        senderEmailAliasOverride:
          nullable: true
          type: string
      type: object
    ReCaptchaSettings:
      properties:
        actions:
          items:
            type: string
          nullable: true
          type: array
        secret:
          nullable: true
          type: string
        siteKey:
          nullable: true
          type: string
        validScore:
          format: double
          type: number
      type: object
    SMSTypeSetting:
      properties:
        id:
          nullable: true
          type: string
      type: object
    SMSTransactionSettings:
      properties:
        curbsideReady:
          nullable: true
          type: boolean
        customerAtCurbside:
          nullable: true
          type: boolean
        customerAtStore:
          nullable: true
          type: boolean
        customerIntransit:
          nullable: true
          type: boolean
        intransitConfirmation:
          nullable: true
          type: boolean
        optOutAcknowledgement:
          nullable: true
          type: boolean
        orderConfirmation:
          nullable: true
          type: boolean
        orderPickupReady:
          nullable: true
          type: boolean
        orderPickupReminder:
          nullable: true
          type: boolean
        shipmentAssigned:
          nullable: true
          type: boolean
        shipmentFulfilled:
          nullable: true
          type: boolean
        shipmentItemCanceled:
          nullable: true
          type: boolean
        storeItemsCanceled:
          nullable: true
          type: boolean
      type: object
    TaxableTerritory:
      properties:
        countryCode:
          nullable: true
          type: string
        isShippingTaxable:
          nullable: true
          type: boolean
        stateOrProvinceCode:
          nullable: true
          type: string
      type: object
    ViewAuthorizations:
      properties:
        enforceSitewideSSL:
          nullable: true
          type: boolean
        requireAuthForLive:
          type: boolean
        requireAuthForPending:
          type: boolean
      type: object
    Mapping:
      properties:
        beforeRouting:
          nullable: true
          type: boolean
        docId:
          nullable: true
          type: string
        facetId:
          nullable: true
          type: string
        listFqn:
          nullable: true
          type: string
        mapTo:
          nullable: true
          type: string
        mappings:
          additionalProperties:
            nullable: true
          nullable: true
          type: object
        pattern:
          nullable: true
          type: string
        replacement:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    Route:
      properties:
        canonical:
          nullable: true
          type: boolean
        defaults:
          additionalProperties:
            nullable: true
          nullable: true
          type: object
        functionId:
          nullable: true
          type: string
        internalRoute:
          nullable: true
          type: string
        mappings:
          additionalProperties:
            items:
              type: string
            nullable: true
            type: array
          nullable: true
          type: object
        template:
          nullable: true
          type: string
        urlScheme:
          nullable: true
          type: string
        validators:
          additionalProperties:
            items:
              type: string
            nullable: true
            type: array
          nullable: true
          type: object
      type: object
    Validator:
      properties:
        attributeFQN:
          nullable: true
          type: string
        docId:
          nullable: true
          type: string
        field:
          nullable: true
          type: string
        listFqn:
          nullable: true
          type: string
        pattern:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
        values:
          items:
            type: string
          nullable: true
          type: array
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````